\version "2.20.0"

N = 4
\include "haydn.ly"

beamlayout = 
\layout {
  \context {
    \Score
    \remove "Timing_translator"
    \remove "Default_bar_line_engraver"
    \remove "Repeat_acknowledge_engraver"
    \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/32)
  }
  \context { \Devnull        \plugins }
  \context { \ViolinI        \plugins }
  \context { \ViolinII       \plugins }
  \context { \Viola          \plugins }
  \context { \CB             \plugins }
}

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 3
    \score {
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \new StaffGroup
          \new OboeIandII \partcombine \I.Oboe.1 \I.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=d } \partcombine \I.Horn.1 \I.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CBB   { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 4
    \score {
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \new Devnull \with { \consists "Bar_number_engraver" }
          { \II.global \spacer s1*0 #(skip-of-length (assoc-ref (assoc-ref II 'Violin) 1)) }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB    { \II.Cello }
        >>
      >>
      \beamlayout
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 3
    \score {
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks III
        \III.marks
        \new StaffGroup
          \new OboeIandII \partcombine \III.Oboe.1 \III.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=d } \partcombine \III.Horn.1 \III.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \III.Violin.1 }
            \new ViolinII { \III.Violin.2 }
          >>
          \new Viola { \III.Viola }
          \new CBB   { \III.Cello }
        >>
      >>
    }
  }
}
