\version "2.20.0"

II.global = { \tempo "Andante" \time 2/4 \key d\minor
  \set Timing.beamExceptions = #'()
  \set Timing.baseMoment = #(ly:make-moment 1/8)
  \beaming 4
}

II.Violin.1 = \relative c''' {
  \II.global

  R2 |
  a2\semprep^\mute ~ |
  a2 ~ |
  a2 ~ |
  \beaming 2,2 a8 g32( f e d) e8.( f32 g) | % bar 5
  \tuplet 3/2 { f16( e d) } r8 r4 |
  R2 |
  a2 ~ |
  a2 ~ |
  a2 ~ | % bar 10
  a8 g32( f e d) e8.( f32 g) |
  \beaming 1,3 \tuplet 3/2 { f16( e d) } bes'8( a g) |
  \tuplet 3/2 { f16( e d) } bes'8( a g) |
  \beaming 2,2 f8.(\trill e32 f) g8-. e-. |
  d8 r8 r4 | % bar 15
  f'4. bes8 |
  \tuplet 3/2 { a16( g f) } f4 bes8 |
  \tuplet 3/2 { a16( g f) } f4 c8 |
  \beaming 1,1,2 \tuplet 3/2 8 { d16( es d) f( g f) } bes8. d,16 |
  \beaming 2,1,1 d8\trill c <a, f'>8 a''32( bes c16) | % bar 20
  \beaming 4 bes8( a g f) |
  e8( d c bes) |
  \beaming 2,2 bes16( a) c8 bes a |
  \beaming 1,1,1,1 g8 \tuplet 3/2 8 { c16( d c) bes16( c bes) a16( bes a) } |
  \beaming 2,2 a8\trill g r4 | % bar 25
  e'2 |
  \beaming 1,1,1,1 f32( g f g) a( bes a bes) c8 r8 |
  e,2 |
  f32( g f g) a( bes a bes) c8 r8 |
  d,8 d4 bes'16( g) | % bar 30
  \beaming 2,2 \appoggiatura f8 e8. g16 bes,8.(\trill a32 bes) |
  \beaming 1,1,2 \tuplet 3/2 8 { a16( bes c) f,( bes g) } g4\trill |
  \beaming 4 f8 f'( e f) |
  g4 ~ g8.( as32 bes) |
  c8 f,( e f) | % bar 35
  g4 ~ g8.( as32 bes) |
  c8 c c c |
  c2 ~ |
  \beaming 1,1,2 \tuplet 3/2 8 { c16( a! f) d( bes g) } f8 g\trill |
  \beaming 1,1,1,1 f8 r8 r8 \tuplet 3/2 { bes'16( g e) } | % bar 40
  f8 r8 r8 \tuplet 3/2 { bes16( g e) } |
  f8 r8 r8 \tuplet 3/2 { bes16( g e) } |
  \beaming 2,2 f4 ~ f8. fis16 |
  g4 ~ g8. gis16 |
  a2 ~ | % bar 45
  a8 g32( f e d) bes'8 d, |
  \beaming 1,1,2 \tuplet 3/2 { cis16( d e) } a,8 r4 |
  gis'32( a gis a) a,8 r4 |
  gis32( a gis a) a,8 r4 |
  gis''32( a gis a) a,8 r4 | % bar 50
  gis32( a gis a) a,8 r4 |
  gis''32( a gis a) a,8 r4 |
  gis'32( a gis a) a,8 r4 |
  R2 |
  a'2 ~ | % bar 55
  a2 ~ |
  \beaming 4 a8 a( bes c) |
  d8 g,( a bes) |
  c8 f,( g a) |
  bes8 e,( f g) | % bar 60
  \beaming 2,2 a8 g32( f e d) bes'8 d, |
  \appoggiatura d16 cis8 a, r4 |
  d'4. g8 |
  \tuplet 3/2 { f16( e d) } d4 g8 |
  \tuplet 3/2 { fis16( e d) } d4 c8 | % bar 65
  c16( bes) bes4 c16( bes) |
  bes16( a) a8 ~ a16 a' a a |
  \beaming 4 g8( f e d) |
  cis8( bes a g) |
  \beaming 1,1,2 \tuplet 3/2 8 { f16( g a) d,16( g e) } e4\trill | % bar 70
  \beaming 4 d8 d'( cis d) |
  e4 ~ e8.( f32 g) |
  a8 d,( cis d) |
  e4 ~ e8.( f32 g) |
  a8 a a a | % bar 75
  a2 ~ |
  \beaming 1,1,2 \tuplet 3/2 8 { a16( f d) bes16( g e) } f8 e\trill |
  \beaming 2,2 d4 r8 \tuplet 3/2 { e'16( f g) } |
  \tuplet 3/2 { f16( e d) } r8 r8 \tuplet 3/2 { e16( f g) } |
  \tuplet 3/2 { f16( e d) } r8 r8 \tuplet 3/2 { e16( f g) } | % bar 80
  \beaming 1,3 \tuplet 3/2 { f16( e d) } bes8-. g-. a-. |
  d,4 r4 |
  \bar "|."
}

II.Violin.2 = \relative c' {
  \II.global

  r16 d8\pp^\mute f e g16 ~ |
  g16 f8 e d cis16 ~ |
  cis16 d8 f e g16 ~ |
  g16 f8 e d cis16 ~ |
  cis16 d8 d' d, cis16 | % bar 5
  d16 d8 bes' a g16 |
  f16 d8 f e g16 ~ |
  g16 f8 e d cis16 ~ |
  cis16 d8 f e g16 ~ |
  g16 f8 e d cis16 ~ | % bar 10
  cis16 d8 d' d, cis16 ~ |
  cis16 d8 e d cis16 ~ |
  cis16 d8 e d cis16 |
  d16 d8 d e cis16 |
  d16 d8 d c! bes16 ~ | % bar 15
  bes16 a8 c d e16 ~ |
  e16 f8 c d e16 ~ |
  e16 f8 c f c16 ~ |
  c16 f8 d f d16 ~ |
  d16 f8 c f c16 ~ | % bar 20
  c16 e8 f d' c16 ~ |
  c16 bes8 a g e16 ~ |
  e16 f8 a g f16 ~ |
  f16 e8 f g f16 ~ |
  f16 e8 c e g16 | % bar 25
  bes16 bes8 g e bes16 ~ |
  bes16 a8 c f a16 ~ |
  a16 bes8 g e bes16 ~ |
  bes16 a8 c f a16 ~ |
  a16 g8 g a bes16 ~ | % bar 30
  bes16 bes8 e, f g16 |
  f16 f8 f f e16 |
  f8 r16 c'8 bes as16 ~ |
  as16 g8 f e g16 ~ |
  g16 f8 c' bes as16 ~ | % bar 35
  as16 g8 f e g16 ~ |
  g16 f8 f' e d16 ~ |
  d16 c8 bes a g16 |
  f16 f8 f f e16 |
  f16 f8 c d bes16 ~ | % bar 40
  bes16 a8 c d bes16 ~ |
  bes16 a8 c d bes16 ~ |
  bes16 a8 es' d c16 ~ |
  c16 b8 f' e d16 ~ |
  d16 cis8 g' f e16 ~ | % bar 45
  e16 d8 d d f16 |
  e16 cis8 a g' e16 ~ |
  e16 f8 d cis e16 ~ |
  e16 d8 f e g16 ~ |
  g16 f8 d cis e16 ~ | % bar 50
  e16 d8 f e d16 ~ |
  d16[ cis8 a16] f'[ e8 d16] ~ |
  d16 cis8 cis d e16 |
  f16 d8 f e g16 ~ |
  g16 f8 e d cis16 ~ | % bar 55
  cis16 d8 f e g16 ~ |
  g16 fis8 es d a'16 ~ |
  a16 bes8 e,! f! g16 ~ |
  g16 a8 d, e f16 ~ |
  f16 g8 cis, d e16 | % bar 60
  f16 d8 d d f16 ~ |
  f16 e8 cis d e16 |
  f16 d8 a bes cis16 ~ |
  cis16 d8 a bes cis16 ~ |
  cis16 d8 a d a16 ~ | % bar 65
  a16 d8 bes d bes16 ~ |
  bes16 d8 a d a16 ~ |
  a16 cis8 d bes' a16 ~ |
  a16 g8 f e cis16 ~ |
  cis16 d8 d d cis16 ~ | % bar 70
  cis16 d8 a' g f16 ~ |
  f16 e8 d cis e16 ~ |
  e16 d8 a' g f16 ~ |
  f16 e8 d cis e16 ~ |
  e16 d8 f e g16 ~ | % bar 75
  g16 f8 d cis e16 |
  d16 d8 d d cis16 |
  d16 d8 a' bes cis,16 ~ |
  cis16 d8 a' bes cis,16 ~ |
  cis16 d8 a' bes cis,16 | % bar 80
  d8 bes'-. g-. a-. |
  d,4 r4 |
  \bar "|."
}

II.Viola = \relative c' {
  \II.global

  \beaming 4
  \addArticulation staccato {
    d8\pp d' cis e |
    d8 a f e |
    d8 d' cis e |
    d8 a f e |
  }
  f8 bes g a | % bar 5
  d,8 g f e |
  d8 d' cis e |
  d8 a f e |
  d8 d' cis e |
  d8 a f e | % bar 10
  f8 bes g a |
  d,8 g f e |
  d8 g f e |
  d8 bes' g a |
  d,8 f e g | % bar 15
  f8 a bes g |
  f8 a bes g |
  f8 a f a |
  f8 bes f bes |
  f8 a f a | % bar 20
  g8 f bes a |
  g8 f e c |
  f8 f, bes' b |
  c8 a bes! b |
  c8 c g e | % bar 25
  c8 e g c |
  f,8 c a f |
  c'8 e g c |
  f,8 c a f |
  bes8 bes' a g | % bar 30
  c8 c, d e |
  f8 bes c c, |
  f8 as( g f) |
  e8 des'( c bes) |
  as8 as( g f) | % bar 35
  e8 des'( c bes) |
  \addArticulation staccato {
    as8 as g f |
    e8 d c bes |
  }
  a8 bes c c |
  f,8 a bes c | % bar 40
  f,8 a bes c |
  f,8 a bes c |
  f,8 c' bes a |
  g8 d' c bes |
  c8 e d cis | % bar 45
  d8 f g gis |
  a8 a, cis a' |
  d,8 a' e a |
  f8 a cis, a' |
  d,8 a' e a | % bar 50
  f8 a bes, gis' |
  a8 a, bes gis' |
  a8 a, b cis |
  d8 d' cis e |
  d8 a f e | % bar 55
  d8 d' cis e |
  d8 c! bes a |
  g8 c a g |
  f8 bes g f |
  e8 a f e | % bar 60
  d8 f g gis |
  a8 a, b cis |
  d8 f g e |
  d8 f g e |
  d8 fis d fis | % bar 65
  d8 g d g |
  d8 fis d f |
  e8 d g f |
  e8 d cis a |
  d8 bes' a a, | % bar 70
  d8 f'( e d) |
  cis8( bes a g) |
  f8 f'( e d) |
  cis8( bes a g) |
  \addArticulation staccato {
    f8 d cis e | % bar 75
    d8 f e g |
  }
  f8 g a a, |
  d8 f g a |
  d,8 f g a |
  d,8 f g a | % bar 80
  d,8 bes'-. g-. a-. |
  d,8 a d,4 |
  \bar "|."
}

II.Cello = \transpose c c, \II.Viola
