\version "2.20.0"

includePattern = #(define-void-function (pattern) (string?)
  (let* ((re  (make-regexp pattern))
         (dir (opendir ".")))
    (do ((entry (readdir dir) (readdir dir)))
        ((eof-object? entry))
      (if (regexp-exec re entry)
        (ly:parser-include-string (string-append "\\include \"" entry "\""))))
    (closedir dir)))

\includePattern #(format #f "^~3,'0d-[0-9].ly$" N)
